<script type=”text/javascript” charset=”utf-8″>
     $(function() {
       $('#cropbox').Jcrop({
       onChange: update_crop,
       onSelect: update_crop,
       setSelect: [0, 0, 500, 500],
       aspectRatio: 1
       });
     });
     function update_crop(coords) {
       var rx = 100/coords.w;
       var ry = 100/coords.h;
       $('#preview').css({
       width: Math.round(rx * <%= current_user.avatar_geometry(:large).width %>) + 'px',
       height: Math.round(ry * <%= current_user.avatar_geometry(:large).height %>) + 'px',
       marginLeft: '-' + Math.round(rx * coords.x) + 'px',
       marginTop: '-' + Math.round(ry * coords.y) + 'px'
       });
       var ratio = <%= current_user.avatar_geometry(:original).width %> / <%= current_user.avatar_geometry(:large).width %>gt;;
       $(“#crop_x”).val(Math.round(coords.x * ratio));
       $(“#crop_y”).val(Math.round(coords.y * ratio));
       $(“#crop_w”).val(Math.round(coords.w * ratio));
       $(“#crop_h”).val(Math.round(coords.h * ratio));
     }
</script>

<%=image_tag current_user.user_profile.url(:large), :id => “cropbox” %>

<h3>Preview:</h3>

<div style=”width:100px; height:100px; overflow:hidden”>
  <%=image_tag current_user.user_profile.url(:large), :id => “preview” %>
</div>



<%= form_for current_user, url: crop_profile_path(current_user.id) do |f| %>
  <% for attribute in [:crop_x, :crop_y, :crop_w, :crop_h] %>
    <%= f.hidden_field attribute, :id => attribute %>
  <% end %>
  <p><%= f.submit “Crop” %></p>
<% end %>
